06/04/2024 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.76.

   Os seguintes arquivos foram atualizados: "cacert.pem", "mirc.exe",
   "versions.txt".

2. update.rcr
  1) Build alterado para 20240406.1.

3. tema.rcr
  1) Usando $ticksqpc em vez de $ticks para medição do Ping.

4. toolbar.rcr
  1) O lag agora é medido com $ticksqpc e não mais com $ticks.

5. autocor.rcr
  1) Adicionado o índice da cor da letra selecionada na janela @AutoCor.
  2) Adicionado o índice da cor de fundo selecionada na janela @AutoCor.
  3) Melhora no foco da janela @AutoCor. O foco consiste em demonstrar qual
     elemento está selecionado entre cor da letra e cor de fundo.

6. pcinfo.rcr
  1) Adicionado UBR, que é a parte final do build de sistemas operacionais
     Windows mais novos.

7. utilidades.rcr
  1) Correção de um bug causado por "," na mensagem de resposta do ipinfo quando
     por input.




22/06/2023 mIRC-rockcavera

Mudanças:

1. update.rcr
  1) Build alterado para 20230622.1.
  2) O $window(%window).fontbold e $window($active).fontitalic estavam errados em
     rcupdate_check_window_progress, pois era $1

2. tema.rcr
  1) O $window($active).fontitalic estava errado em necho, pois era %window
  2) O $window(%window).fontbold e $window($active).fontitalic estavam errados em
     necho_line_width, pois era $1
  3) O $window(%window).fontbold e $window($active).fontitalic estavam errados em
     tema_nicklen_proposed, pois era "Status Window"
  4) O $window(%window).fontbold e $window($active).fontitalic estavam errados em
     tema_nickcut_mhotlink, pois era $target

3. autocor.rcr
  1) Adicionado os índices das cores na janela @AutoCor. Isso facilita a
     visualização de qual íncide será usado junto com o código de controle de cor
     (ctrl + k).




19/06/2023 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.73.

   Os seguintes arquivos foram atualizados: "cacert.pem", "ircintro.chm",
   "mirc.exe", "mirc.chm", e "versions.txt".

2. update.rcr
  1) Build alterado para 20230619.1.
  2) O identificador $pid agora retorna valor de $mircpid, a partir da versão 7.69
     do mIRC.
  3) Corrigido o $width para as versões mais novas do mIRC.
  4) Melhoria no .bat de atualização do mirc.exe. Retirado código que edita o
     mirc.ini, pois agora é desnecessário.

3. tema.rcr
  1) Corrigido problema que imprimia na list de seleção de fonte duas vezes o nome
     da fonte atualmente em uso.
  2) O alias `necho` foi reajustado para usar o $wrap do mIRC que preserva os
     control codes corretamente. Grande melhoria no desempenho do mIRC-rockcavera,
     pois não precisa mais fazer tal processamento pelo mIRC scripting. Agora o
     identificador `$necho_bikoru` é código morto.
  3) Corrigido o $width para as versões mais novas do mIRC.

4. toolbar.rcr
  1) Alterado o ano da janela Sobre de 2022 para 2023.

5. autocor.rcr
  1) Corrigido o $width para as versões mais novas do mIRC.

6. autoidentify.rcr
  1) Solução paleativa => adicionado para verificar $servertarget no
     autoidentify_check_2connection_to_server, tentar recuperar o nick em duas redes
     com mesmo nome (Brasirc - irc.brasirc.com.br e irc.brasirc.org).




07/04/2022 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.68.

   Os seguintes arquivos foram atualizados: "cacert.pem", "mirc.exe", "mirc.chm", e
   "versions.txt".

2. update.rcr
  1) Build alterado para 20220407.1.
  2) Melhora no regex do parseline do version. Corrige bug que não exibia o build do
     mIRC-rockcavera em redes com TAG ativadas.

3. toolbar.rcr
  1) Corrigido texto cortando da dialog de "LagBar".
  2) Mudança do ano para 2022 na janela sobre o mIRC-rockcavera.

4. tema.rcr
  1) Adicionado checkbox "Mostrar todas" na dialog de Fontes do tema.




05/10/2021 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.67.

   Os seguintes arquivos foram atualizados: "cacert.pem", "ircintro.chm",
   "mirc.exe", "mirc.chm", e "versions.txt".

2. update.rcr
  1) Build alterado para 20211005.1.




30/07/2020 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.62.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem" e
   "versions.txt".

2. update.rcr
  1) Build alterado para 20200730.1.




02/06/2020 mIRC-rockcavera

Mudanças:

1. update.rcr
  1) Host2 para atualização alterado para mirc-rockcavera.tk. Antes era
     rockcavera.co.nf, mas o domínio saiu do ar e não tem previsão de volta.
  2) Build alterado para 20200602.1.

2. tema.rcr
  1) Adicionado interruptor -h no comando necho. Possibilita impressão de mensagem
     usando o tema do mIRC-rockcavera sem realçar a cor do nome da janela na treebar
     ou switchbar. Atualmente usado apenas para a mensagem de mudança de dia.
     (cirinho @ irc.vIRCio.net).

3. servermanager.rcr

  1) Bug crítico corrigido no autoconectar. Quando abria o mIRC-rockcavera e o
     autoconectar executava, os interruptores de opções não eram passados para o
     comando /server quando havia apenas um interruptor.




12/04/2020 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.61.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem",
   "versions.txt" e "ircintro.chm".

2. update.rcr
  1) Alterado o site no version para www.rockcavera.tk, uma vez que o
     www.rockcavera.co.nf está fora do ar.
  2) Alterado o código .bat do atualizador. Mudança foi preciso para realizar update
     dos mircexe após a versão 7.59.
  3) Alterado código do atualizador. Mudança foi preciso para realizar update dos
     mirc.exe após a versão 7.59.
  4) Build alterado para 20200412.1.

3. toolbar.rcr
  1) Alterado o ano para 2020 na janela "Sobre o mIRC-rockcavera".

4. mudar_topico.rcr
  1) Comando para definir tópico via ChanServ definido para:

     /ChanServ TOPIC #CANAL TEXTO-DO-TOPICO.

     Antes estava o comando antigo do anope, que funcionava apenas na VirtuaLife.




18/11/2019 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.58.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem" e
   "versions.txt".

2. tema.rcr
  1) Adicionado código para verificar se o mIRC inicia-se no tray para evitar
     impressão de um caractere por linha no tema do mIRC-rockcavera. Para tanto, o
     mIRC irá ser maximizado e depois voltará para o tray. É um bug antigo e que não
     possui solução melhor até o momento, pois é preciso pegar o tamanho da janela.
  2) Comando no menu "CTCP" > "Ping" voltou a ser o padrão. O controle do ping do
     tema mIRC-rockcavera é feito de outra forma.
  3) Adicionado código que altera a mensagem de entrada do CTCP VERSION. Esta medida
     foi tomada para contornar um problema de impressão fora do padrão do tema do
     mIRC-rockcavera.
  4) Adicionada verificações de eventos do alt + o > IRC > Events. Funciona para o 
     mIRC-rockcavera igual no mIRC puro. As mensagens que forem para o status serão
     as mensagens do mIRC puro, mesmo com o tema do mIRC-rockcavera ativo (Baygon
     @virtualife.com.br).

3. pn.rcp
  1) Comando no menu "CTCP" > "Ping" voltou a ser o padrão. O controle do ping do
     tema mIRC-rockcavera é feito de outra forma.
  2) Adicionado o menu "Notify" em "Controle". Adiciona o nick na lista de notify.
     (Baygon @ virtualife.com.br).
  2) Adicionado o menu "DesNotify" em "Controle". Remove o nick da lista de notify.
     (Baygon @ virtualife.com.br).

4. pq.rcp
  1) Comando no menu "CTCP" > "Ping" voltou a ser o padrão. O controle do ping do
     tema mIRC-rockcavera é feito de outra forma.
  2) Adicionado o menu "Notify". Adiciona o nick na lista de notify. (Baygon
     @virtualife.com.br).

5. update.rcr
  1) Build alterado para 20191118.1.

6. utilidades.rcr
  1) Retirado da mensagem do IP Info as informações sobre IP móvel e proxy.




28/08/2019 mIRC-rockcavera

Mudanças:

1. update.rcr
  1) Build alterado para 20190828.1.
  2) Alterado domínio principal do script para www.rockcavera.tk. O domínio
     www.rockcavera.co.nf encontra-se fora. Poderá voltar, e, caso volte, será o
     novo domínio secundário.
  3) Alterado o site na mensagem de oferecimento do script para www.rockcavera.tk.
  4) Alterado o site na mensagem de quit para www.rockcavera.tk
  5) Alterada a ordem dos domínios para atualização do script.

     Primeiro domínio: mirc.rockcavera.tk
     Segundo domínio: rockcavera.co.nf

2. toolbar.rcr
  1) Alterado o site que abre ao clicar no "Sobre o mIRC-rockcavera" para
     www.rockcavera.tk.




08/08/2019 mIRC-rockcavera

Mudanças:

1. update.rcr
  1) Build alterado para 20190808.1.
  2) Correção de bug no código de atualização. Quando um usuário do mIRC-rockcavera
     estava por trás de uma proxy que altera o cabeçalho de enviou ou retorno do
     procotolo HTTP, poderia ocorrer erro na atualização (reportado por xArthur @
     BrasIRC.org).




25/07/2019 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.57.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm" e "versions.txt".

2. update.rcr
  1) Build alterado para 20190725.1.
  2) Bug corrigido ao fechar a janela do update durante uma atualização,
     principalmente quando o mIRC precisa ser atualizado - savebuf dá erro
     (reportado por volcan @ BrasIRC.org).
  3) Alterada mensagem de oferecer o script.

     A cor de fundo foi alterada para um cinza escuro, pois nos "schemes darks" não
     se enxergava direito no fundo cinza claro (sugestão do Weliton @ 
     virtualife.com.br).

     Já o "C" do mIRC-rockcavera foi alterado para cor laranja (sugestão de
     SteelyDamn @ virtualife.com.br).

     Ainda, foi adicionado um espaço em branco tanto no começo quanto no fim.
  4) Alterada mensagem de quit do script.

     A cor de fundo foi alterada para um cinza escuro, pois nos "schemes darks" não
     se enxergava direito no fundo cinza claro (sugestão do Weliton @
     virtualife.com.br).

     Já o "C" do mIRC-rockcavera foi alterado para cor laranja (sugestão de
     SteelyDamn @ virtualife.com.br).

     Ainda, foi adicionado um espaço em branco tanto no começo quanto no fim.




08/07/2019 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.56.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem" e
   "versions.txt".

2. tema.rcr
  1) Bug arrumado nos nicks cortados quando enviavam ou recebiam ctcp ou notice. O
     nick autor do evento, quando a mensagem era quebrada para mais de uma linha,
     aparecia um "-" ou "]" na cor do evento, sendo que teria que estar na cor de
     fundo.
  2) Adicionadas as raws 276 e 344.

     A raw 276 mostra se o nick possui um certificado de impressão digital.
     A raw 344 mostra o país de conexão do nick.
  3) Adicionado ao tema do mIRC-rockcavera uma linha que divide as mensagens do dia
     anterior com o atual. A linha é composta pelo tempo (00:00), ação "*", evento
     "*", barra "|" e mensagem com o dia, mês e ano. A linha é impressa em todos os
     canais, pvts e chats abertos.
  4) Adicionado ao tema do mIRC-rockcavera uma linha que indica o dia que foi aberto
     o PVT. A linha é composta pelo tempo (00:00), ação "*", evento "PVT", barra "|"
     e mensagem com o dia, mês e ano.

3. update.rcr
  1) Build alterado para 20190708.1.
  2) Atualizados os DNS's para atualizar o script.

4. autocor.rcr
  1) Correção da seleção de clique simples na cor da letra e do fundo. Estava
     selecionando mesmo clicando 20 pixeis fora da caixa de cor de letra e fundo.
  2) Atualizada a paleta de cores do AutoCor para suportar as novas cores de índices
     16 a 99.

     Anteriormente, o mIRC possuía apenas 16 cores, de índices 0 a 15. Porém, desde
     a versão 7.52, o mIRC suporta 100 cores, do índice 0 a 99. Atente-se que apenas
     clientes IRC que suportam a nova palheta de cores irão visualizar suas cores
     com índices acima de 15.

     Mais informações:
       http://anti.teamidiot.de/static/nei/*/extended_mirc_color_proposal.html

5. utilidades.rcr
  1) Leve atualização no código do IP Info. Esta atualização tende a evitar erros de
     resposta do IP Info.

6. menus.rcr
  1) Bug corrigido no menu mIRC-rockcavera > Atualizador > Opções > Mostrar
     Changelog > Sobre. A caixa de mensagem aparecia sem o texto de ajuda, devido a
     um erro de vírgulas no código (Reportado por MrBoss @ vIRCio.net).

7. pm.rcp
  1) Bug corrigido no menu mIRC-rockcavera > Atualizador > Opções > Mostrar
     Changelog > Sobre. A caixa de mensagem aparecia sem o texto de ajuda, devido a
     um erro de vírgulas no código (Reportado por MrBoss @ vIRCio.net).




08/02/2019 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.55. Atualização de urgência, devido a
   vulnerabilidade nas versões anteriores do mIRC.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem" e
   "versions.txt".

2. update.rcr
  1) Build alterado para 20190208.1.




05/01/2019 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.54. Não houve atualização para a versão
   7.53, pois esta apresentava erro fatal para o Windows XP.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem" e
   "versions.txt".

2. update.rcr
  1) Build alterado para 20190105.1.
  2) Alterado código de resposta do CTCP VERSION. Correção de possível bug na nova
     versão do mIRC.

3. toolbar.rcr
  1) Removido o botão "Contato" da janela "Sobre o mIRC-rockcavera".
  2) Alterado o ano para 2019 na janela "Sobre o mIRC-rockcavera".

4. tema.rcr
  1) Adicionado raw 336 ao whois do tema. O raw 336 determina que os próximos canais
     enviados em um whois, pelo raw 319, são canais privados ou secretos. Desta
     forma, serão mostrados separados os canais secretos ou privados que um nick
     estiver.

5. utilidades.rcr
  1) Alinhamento da palavra "NICKS" do Clone Scan System arrumado.




30/06/2018 mIRC-rockcavera

Mudanças:

1. update.rcr
  1) Build alterado para 20180630.1.

2. servermanager.rcr
  1) Bug corrigido no botão remover servidor. Quando um servidor era removido, as
     checkbox "Desativar" tinham os seus textos apagados.

3. utilidades.rcr
  1) Bug corrigido no IP Info GUI. Quando se clicava em cancelar, na janela para
     inserir o IP, aparecia mensagem de erro de IP inválido (reportado por MrBoss).




31/05/2018 mIRC-rockcavera

Mudanças:

1. Adicionado o script Utilidades (utilidades.rcr).

   Este script, por enquanto, possui duas utilidades: Clone Scan System e IP Info.

   * O Clone Scan System é um sistema que procura por clones na rede, ou seja, em
   todos canais que você estiver, ou, então, em um canal específico.

   No entanto, é importante saber que o sistema não é 100% confiável, pois hoje em
   dia as redes disponibilizam VHOSTs, bem como o uso de HOSTs com o IP do cliente
   criptografado está em desuso.

   Você pode acessar esse recurso pelos menus popups em "Utilidades > Clone Scan
   System" ou então digitar o comando: /css #CANAL

   O comando /css sem um #CANAL irá procurar por clones em todos os canais da rede
   que você está.

   Este script é um pedido antigo do usuário Slowmotion.

   * Já o IP Info retorna informações sobre um IPv4 ou IPv6.

   As informações do IP Info são obtidas através da API do site http://ip-api.com,
   que permite 150 requisições por IP por minuto.

2. tema.rcr
  1) Implementando CTCP Protocol ao tema mIRC-rockcavera. As requisições suportas
     pelo tema mIRC-rockcavera são: ACTION, CLIENTINFO, DCC, FINGER, PING, TIME e
     VERSION.
  2) Alterado comando que envia PING em "CTCP > Ping" dos menus Query e Nicklist dos
     nicks cortados, uma vez que foi alterada a forma de solicitar Ping. No entanto,
     essa alteração apenas funciona para o tema mIRC-rockcavera, pois mostra o seu
     lag, em relação a outro nick da rede, em até três casas decimais de segundos.
     Para o tema do mIRC puro continua igual.
  3) Bug corrigido no evento raw do numeric 330. Quando se dava /whois em um nick
     não registrado, mas que já havia se identificado com outro nick, retornava que
     o nick estava logado com o nick não registrado (reportado por volcan).
  4) Adicionado código para verificar se o grupo do tema mIRC-rockcavera está ativo
     quando constar o tema ligado nas configurações, bem como verificar se o grupo
     do tema mIRC-rockcavera encontra-se desativado quando constar desligado nas
     configurações. De outro lado, verifica o grupo para o tema do mIRC puro da
     mesma forma.

3. menus.rcr

  1) Adicionado menu "Utilidades" nas janelas de status, canal e pvt.
  2) Movido o menu "Pc Info" para o menu "Utilidades".
  3) Adicionado o submenu "Clone Scan System" no menu "Utilidades".
  4) Adicionado o submenu "IP Info" no menu "Utilidades".

4. pm.rcp

  1) Adicionado menu "Utilidades".
  2) Adicionado o submenu "Pc Info" no menu "Utilidades".
  3) Adicionado o submenu "Clone Scan System" no menu "Utilidades".
  4) Adicionado o submenu "IP Info" no menu "Utilidades".

5. pcinfo.rcr

  1) Bug corrigido quando não encontrava o modelo da placa mãe (reportado por
     Slowmotion, mas percebido por volcan).
  2) Alterado o comando que exibe ou fala todos os componentes do PCInfo. Medida
     tomada para evitar mensagem em branco.
  3) Adicionada opção para enviar mensagem ao digitar os comandos: /pcinfo_cpu,
     /pcinfo_mobo, /pcinfo_ram, /pcinfo_storage, /pcinfo_video, /pcinfo_sound e
     /pcinfo_os, quando a janela ativa for um canal, pvt ou chat.

6. servermanager.rcr

  1) Adicionado comando /oper. Quando se digita "/oper", se houver cadastro de
     usuário e senha para a rede alvo, o comando enviará pedido de OPER para a rede.
  2) Pequenas alterações nos textos das janelas inputs. Onde se lia "irc.UnIRC.net",
     agora se lê "irc.vIRCio.org", tendo em vista que a UnIRC se juntou com a rede
     vIRCio.
  3) Adicionada uma trava no autoconectar, para evitar dupla autoconexão nos
     servidores da lista do autoconectar. Esse erro acontecia devido a atualização
     do script do Server Manager que não possuía trava antes. (reportado por ramon,
     antigo nick do mon)

7. update.rcr

  1) Build alterado para 20180531.4.

8. autoidentify.rcr

  1) Adicionado código que impede autoghost quando se conecta, em uma nova janela de
     servidor, em um mesmo servidor que o mIRC-rockcavera já possui conexão usando o
     mesmo nick.

9. mudar_topico.rcr

  1) Texto corrigido no preview sem o tema do mIRC-rockcavera. O texto "* Set by
     NICK on ASCTIME" aparecia sempre rockcavera no lugar de NICK, sendo que deveria
     aparecer o nick do utilizador do mIRC-rockcavera.

10. pq.rcp

  1) Alterado comando que envia PING em "CTCP > Ping", uma vez que foi alterada a
     forma de solicitar Ping. No entanto, essa alteração apenas funciona para o tema
     mIRC-rockcavera, pois mostra o seu lag, em relação a outro nick da rede, em até
     três casas decimais de segundos. Para o tema do mIRC puro continua igual.

11. pn.rcp

  1) Alterado comando que envia PING em "CTCP > Ping", uma vez que foi alterada a
     forma de solicitar Ping. No entanto, essa alteração apenas funciona para o tema
     mIRC-rockcavera, pois mostra o seu lag, em relação a outro nick da rede, em até
     três casas decimais de segundos. Para o tema do mIRC puro continua igual.




28/04/2018 mIRC-rockcavera

Mudanças:

1. Adicionado o script Server Manager (servermanager.rcr).

   Este script pretende trazer uma maior facilidade para aqueles usuários do
   mIRC-rockcavera que se conectam em mais de uma rede, bem como automatizar algumas
   funções básicas do IRC.

   O Server Manager permite a adição de vários servidores para se conectar
   automaticamente após o término do update do mIRC-rockcavera.

   Além disso, permite configurar por rede os canais que deseja autoentrar. Até o
   momento, as opções para autoentrar são após: conectar-se, identificar-se e
   receber modo +r. Outras opções poderão ser sugeridas pelos usuários.

   Também, é possível configurar o usuário e senha para enviar comando /oper, após
   conectar-se a rede, automaticamente.

   Ainda, para aqueles que usam nicks diferentes em cada rede, é possível definir o
   nick, nick alternativo, nome e modos que deseja para cada rede. Os modos são
   definidos após conectar-se.

   As caixas de seleção desativar, que estão em cada caixa de configuração do Server
   Manager, permitem desabilitar apenas essas configurações para a rede selecionada
   no momento. Ainda, é possível desativar uma única rede de autoconectar com o
   botão desativar, bem como é permitido desativar um canal no autoentrar com o
   botão desativar. Deste modo, não se precisa remover a rede ou canal, bastando
   apenas desativá-los.

   Por fim, lembre-se de clicar no botão Salvar quando eles ficarem ativos, pois, só
   assim, as alterações feitas nas caixas de edição serão salvas.

2. menus.rcr

  1) Adicionadas opções para falar e exibir, individualmente, os componentes do PC
     Info. Com isso, foram adicionados os submenus "Tudo", "Armazenamento",
     "Memória RAM", "Placa de Audio", "Placa de Vídeo", "Placa Mãe", "Processador"
     e "Sistema Operacional" nos submenus "PC Info > Falar" e "PC Info > Exibir".
     (Sugestão de cirinho @ vircio.org).
  2) Adicionado o menu "Server Manager" em "mIRC-rockcavera".
  3) Posição na lista de remotes alterada de 8 para 9.

3. tema.rcr

  1) Bug corrigido no sistema de whois. Quando ativado Whois em Caixa e uma mensagem
     cita o seu nick após um whois, a linha da caixa de whois aparecia na cor da
     barra de nick citado, sendo que deveria aparecer na cor da barra. (Reportado
     por Slowmotion).
  2) Adicionado para aparecer o nick cortado completo na popup de nicklist, que é a
     mesma popup que aparece quando se clica com o botão direito sobre um nick
     cortado.

4. update.rcr

  1) Build alterado para 20180428.1.

5. toolbar.rcr

  1) Bug corrigido no evento do botão salvar das configurações da lagbar. Quando
     foi juntado o arquivo lag.rcr no toolbar.rcr, foi também juntado o banco de
     dados (hash). No entanto, esqueci de alterar o nome da hash no evento de salvar
     (reportado por Slowmotion).

6. autoidentify.rcr

  1) Código de autoidentificação atualizado para funcionar na Dalnet.

7. pn.rcp

  1) Adicionado para aparecer o nick na popup de nicklist.

8. pm.rcp

  1) Adicionado o menu "Server Manager" em "mIRC-rockcavera".




01/04/2018 mIRC-rockcavera

Mudanças:

1. update.rcr

  1) Build alterado para 20180401.1. Update de urgência.

2. tema.rcr

  1) Bug corrigido no sistema de whois. Após alterar o sistema de whois, por um
     descuido, foi esquecido de alterar um parâmetro que fazia o whois retornar no
     User/Ident (USER@HOST) 0 ou 1, sendo o 0 retornado quando o Whois em Caixa
     estava desligado e o 1 quando ligado. (reportado por cirinho @vircio.org)




31/03/2018 mIRC-rockcavera

Mudanças:

1. tema.rcr

  1) Adicionado o interruptor -p nos comandos /set de mensagens. Corrige um bug
     causado pelo mIRC anterior a versão 7.52, pois não era possível definir
     variável com o valor "" (dupla aspas), uma vez que o mIRC considerava o valor
     como nulo.
  2) Adicionado o interruptor -e no comando /set da variável global
     %tema_select_color_close
  3) Adicionada opção para colorir a barra do tema (|) em uma cor diferente quando
     seu nick for citado na mensagem.

     Obs: irá colorir a barra da mensagem, ou seja, se a mensagem for dividida em
     mais de uma linha, as barras das duas linhas serão coloridas! Para mudar a cor,
     vá até "mIRC-rockcavera > Tema > Cores > Barra Nick Citado". (sugestão de
     cirinho @vircio.org)

  4) Bug corrigido no sistema de nick cortado. Quando um mesmo nick cortado enviava
     NOTICE ou CTCP seguidos, o tema não considerava o nick igual, pulava uma linha
     e imprimia o nick cortado novamente.
  5) Bug corrigido nos CTCPs recebidos em canais. O tema estava imprimindo os CTCPs
     recebidos em canais na Status Windows e no canal, sendo que o correto é apenas
     no canal.

     Obs: os CTCPs VERSION ainda aparecem na Status Windows devido a imposição do
     mIRC.

  6) Bug corrigido nos eventos on TEXT e on ACTION. Código adicionado aos eventos on
     TEXT e on ACTION do tema, para prevenir erro causado quando ativa a opção "Use
     single message window" em "mIRC Options > IRC". Agradeço ao luck_luc pela
     paciência e pela disponibilização integral do mIRC-rockcavera que você
     utilizava, pois, só assim, foi possível diagnosticar o erro e corrigi-lo.
  7) Bug corrigido no whois. Quando o servidor enviava mais de uma linha de canais
     (numeric 319), o script exibia apenas a última linha enviada. (reportado por 
     cirinho @ vircio.org)
  8) Adicionada opção para o whois aparecer dentro de uma caixa quando utilizado o
     tema do mIRC-rockcavera. Esta opção não é a padrão, mas pode ser ativada em
     "mIRC-rockcavera > Tema > Whois em caixa". (sugestão de slowmotion)
  9) Bug corrigido no comando /query do tema do mIRC-rockcavera. Devido a um limite
     de bytes em variáveis no mIRC, poderia não ser exibido corretamente os canais
     em comum com um nick quando estourado esse limite.
  10) Bug corrigido no evento on OPEN do tema do mIRC-rockcavera. Devido a um limite
      de bytes em variáveis no mIRC, poderia não ser exibido corretamente os canais
      em comum com um nick quando estourado esse limite.

2. toolbar.rcr

  1) Adicionado o interruptor -e no comando /set da variável global
     %about_select_color_close
  2) Adicionado suporte ao +-v da chanbar para funcionar com halfop. (Obrigado,
     Juninho @vircio.com.br)
  3) Alterada a medição do lag para usar sempre CTCPREPLY. Tal mudança foi
     necessária, pois, caso conectado em uma ZNC, você media o seu lag com o
     servidor ZNC e não com o servidor IRC.
  4) Remote alterado para posição 3.

3. upload.rcr

  1) Melhoria no código de resposta do ctcp version.
  2) Build atualizada para 20180331.1.

4. menus.rcr

  1) Adicionado menu "Barra Nick Citado" em "mIRC-rockcavera > Tema > Cores".
  2) Adicionado menu "Whois em caixa" em "mIRC-rockcavera > Tema".

5. pm.rcp

  1) Adicionado menu "Barra Nick Citado" em "mIRC-rockcavera > Tema > Cores".
  2) Adicionado menu "Whois em caixa" em "mIRC-rockcavera > Tema".

6. autocor.rcr

  1) Adicionado interruptor -e no comando /set da variável %autocor_config_close
  2) Remote alterado para posição 4.

7. autoidentify.rcr

  1) Leve melhoria no código. Foram alterados alguns timers para dispararem
     instantaneamente e foram feitas algumas correções de português.




28/02/2018 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.52.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem" e
   "versions.txt".

2. upload.rcr

  1) Adicionado a mensagem de propaganda do script, para que o usuário possa
     oferecê-lo a outros usuários do IRC.
  2) Adicionado a mensagem de propaganda do script no QUIT. No entanto, esta
     mensagem só é exibida quando não é enviada mensagem de quit.
  3) Adicionado código que altera o ctcp version do mIRC e coloca o mIRC-rockcavera,
     sua build e o site. O código anterior ficava no tema.mrc.
  4) Adicionado comando que retorna a build do mIRC-rockcavera. A build corresponde
     a última data que foi lançada alguma atualização do mIRC-rockcavera.
  5) Adicionada a build no relatório de erro do mIRC-rockcavera.

3. tema.rcr

  1) Adicionado o interruptor -e no comando /set ao definir a variável global
     %tema_mircborder.
  2) Evento que modifica o ctcp version transferido para o update.rcr.
  3) Leve melhoria no sistema de captura de urls.

4. toolbar.rcr

  1) About alterado.

     O site do about foi alterado para o www.rockcavera.co.nf.

     O texto "Feito por rockcavera" foi levemente reposicionado.

     Adicionado o texto com a build do mIRC-rockcavera.

5. pc.rcp

  1) Adicionado o menu "Oferecer", que fala no canal atual uma mensagem de
     propaganda do mIRC-rockcavera.

6. pq.rcp

  1) Adicionado o menu "Oferecer", que fala no pvt atual uma mensagem de propaganda
     do mIRC-rockcavera.




26/01/2018 mIRC-rockcavera

Mudanças:

1. tema.rcr

  1) Adicionado o comando /mnick ao tema. Define o nick principal.
  2) Adicionado o comando /anick ao tema. Define o nick alternativo.
  3) Adicionado o comando /fullname ao tema. Define o nome de usuário.
  4) Adicionado o comando /emailaddr ao tema. Define o endereço de e-mail.
  5) Bug corrigido no comando /whois. O comando sobreposto não funcionava com
     solicitações /whois nick1,nick2,...,nickN.

     Importante lembrar que existe um limite definido pela rede de alvos (nicks) por
     comando /whois.

  6) Bug corrigido no evento raw 317. Algumas redes fornecem apenas o tempo inativo
     na resposta e outras fornecem também o tempo que o nick se conectou na rede.
     Nos casos que apenas forneciam o tempo inativo, o mIRC-rockcavera informava
     errado quando o nick havia se conectado a rede.
  7) Bug corrigido no evento raw 318. Algumas redes retornam o final de um whois com
     o nick individual da consulta feita pelo comando WHOIS, mas outras retornam
     todos os alvos da consulta pelo comando WHOIS. Deste modo, quando se consultava
     mais de um alvo pelo WHOIS, as redes que respondiam NICK1,NICK2,...,NICKN não
     eram suportadas pelo código do mIRC-rockcavera.
  8) Melhora no sistema de nick cortados.

     Adicionados menus popups quando se clica com o botão direito do mouse sobre um
     nick cortado e canal cortado em uma janela de canal, pvt e chat.

     Agora não se exibe a caixa de texto com o nick completo após um clique com o
     botão esquerdo do mouse em um nick cortado, pois foi adicionado uma prevenção
     de 1 segundo até o segundo clique (duplo clique), que abre o pvt.

     Foi modificada a posição que se abre a caixa com o nick completo, pois agora
     ela sempre abrirá na linha de cima do nick cortado e no rumo do nick ou o mais
     preciso possível.

  9) Adicionado código para capturar o tamanho das bordas das janelas ao iniciar o
     script. Esse código influencia no local que será aberto os nicks cortados e
     também na impressão do comando /necho, comando que imprime o tema do
     mIRC-rockcavera.
  10) Alterada a forma de exibição da hora de conexão de um nick na resposta do
      comando /whois e do tópico.
  11) Removida condição que verifica se o canal está aberto ao receber os raws 332 e
      333 (o tópico e quem definiu). Agora poderá aparecer mensagem de bug nas
      Status Window.
  12) Melhora no comando /necho. Devido a um comportamento inconveniente do mIRC
      quando as janelas MDI estão maximizadas e o mIRC em bandeja (tray). Sempre
      estou melhorando o /necho, uma vez que é ele quem imprime na tela todo o
      código do tema do mIRC-rockcavera. Mais detalhes acesse:
      http://forums.mirc.com/ubbthreads.php/topics/262292/
  13) Inserido código para remover as variáveis globais %tema_window_lactive_mdi e
      %tema_window_width, pois encontram-se em desuso no tema.
  14) Comando /whois alterado.

      Quando o whois recai apenas sobre um nick e você está em pelo menos um canal
      em comum com ele, será enviado ao servidor "WHOIS NICK NICK", para que retorne
      todas as informações, uma vez que será pedido o whois ao servidor ao qual o
      NICK está conectado, sendo apenas este servidor detentor de todas as
      informações para um whois completo.

  15) Adicionado raw 335 ao whois do tema. O raw 335 informa que o nick é um bot.

2. update.rcr

  1) Código /mIRC-rockcavera_relatorio de relatório melhorado.
  2) Adicionado o interruptor -4 no comando /sockopen. Evita de resolver dns para
     IPV6 quando conectado em server IPV6. Essa medida foi tomada tendo em vista que
     o uso de IPV6 no Brasil vem aumentando e a quantidade de servidores que
     suportam IPV6 também. Essa medida é necessária devido a arquitetura que o mIRC
     trabalha. Deste modo, evita-se problemas de erro no código.

3. toolbar.rcr

  1) Alterado o ano do about.

4. mudar_topico.rcr

  1) Adicionado . antes do comando /raw. Evita que seja exibido o resultado do
     comando.

5. menus.rcr

  1) Adicionado o submenu "Gerar Relatório" em "mIRC-rockcavera".

6. pm.rcp

  1) Adicionado o submenu "Gerar Relatório" em "mIRC-rockcavera".




08/12/2017 mIRC-rockcavera

Mudanças:

1. O executável do mIRC (mirc.exe) foi atualizado, pois foram removidas algumas
   mensagens para adaptar o tema do mIRC-rockcavera. A versão continua a mesma.

2. O arquivo "lag.rcr", que contêm os códigos da Lagbar, foi inserido no arquivo
   "toolbar.rcr" e foi removido do mIRC-rockcavera.

3. tema.rcr

  1) Código de retorno do comando /dns melhorado. Agora exibe o tipo de IP, ou seja,
     se é IPV4 ou IPV6.
  2) Melhoria no sistema de nicks cortados. Quando o mouse passa sobre o balão com o
     nick completo, este balão se fecha.
  3) Leve melhoria no código que imprime o tema.
  4) Alterações nas ações do tema que aparecem nos canais. Agora quando a mensagem
     for dirigida para certos status/prefixos (founder, admin, OP, halfOP ou voice),
     a ação não será # ou &, mas sim o status/prefixo para quem a mensagem foi
     dirigida.
  5) Leve melhoria no sistema de citação. Não é mais exibida a ação " na janela de
     citação, mas sim a mesma ação que é exibida no canal.

     O motivo para tal alteração foi o fato de o tema começar a exibir mensagens
     direcionadas a certos prefixos/status (founder, admin, OP, halfOP ou voice) em
     um canal.

  6) Mensagem de desconexão "* Disconnected" foi alterada para o formato do tema,
     menos na Status Window. Para isso foi necessário remover a mensagem no
     executável do mIRC.
  7) A mensagem "* Attempting to rejoin channel", que aparecia nos canais quando o
     mIRC reconectava, foi alterada para o formato do tema. Para isso foi necessário
     remover a mensagem no executável do mIRC.
  8) Bug corrigido quando mensagem era dirigida para status/prefixos que não fossem
     os OPs. Exemplo: mensagens dirigidas para voices, que podem ser vistas por
     todos, menos usuários normais.
  9) Módulo de atualização de script removido. Novo sistema de atualização de script
     não precisa mais desse módulo.

4. toolbar.rcr

  1) Inserido o código da Lagbar neste script.
  2) Bug corrigido ao salvar novo intervalo para a medição de lag. O temporizador
     não era ajustado ao novo intervalo definido quando o intervalo pretendido era
     menor que o intervalo restante para a próxima medição de lag.
  3) Diminuido o valor máximo e mínimo do intervalo de medição de lag para 15 e 105.
     Caso o valor do seu medidor esteja acima do máximo, ele será definido como 60,
     que é o novo padrão.

     Esta medida foi tomada, pois, em alguns casos, a medição com intervalo alto faz
     o mIRC desconectar por "* [10101] Host disconnected".

  4) Bug corrigido no comando que abre a Dialog de configuração da cor de fundo da
     toolbar. Quando a Dialog de configuração da Lagbar estava aberta, a Dialog de
     configuração da cor de fundo da toolbar não abria.
  5) Melhoria e correção de um bug no comando "/sleep". A chamada para abrir o
     arquivo "sleep.js" não estava especificando o caminho correto.
  6) Módulo de atualização de script removido. Novo sistema de atualização de script
     não precisa mais desse módulo.

5. pcinfo.rcr

  1) Ordem de carregamento do script alterada de 8 para 7.
  2) Módulo de atualização de script removido. Novo sistema de atualização de script
     não precisa mais desse módulo.
  3) Retirada a restrição de alguns aliases não poderem ser executados fora do
     arquivo de script. Essa medida foi tomara para o comando
     "/mIRC-rockcavera_relatorio" ter acesso aos aliases que capturam informações do
     computador.
  4) Bug corrigido que mantinha COM aberta após execução do pcinfo. O erro era
     resultado do retorno 0 da contagem da consulta de alguma informação do
     computador.

6. menus.rcr

  1) O menu "mIRC-rockcavera > Lagbar" agora encontra-se em "mIRC-rockcavera >
     Toolbar > Lagbar".
  2) Ordem de carregamento do script alterada de 9 para 8.
  3) Módulo de atualização de script removido. Novo sistema de atualização de script
     não precisa mais desse módulo.

7. update.rcr

  1) Melhoria no código que atualiza os scripts, para evitar que carreguem fora de
     ordem.
  2) Agora é possível atualizar o executável do mIRC quando for necessário
     (alteração de algum resource, ícone ou qualquer coisa), mesmo que a versão
     permaneça a mesma.
  3) Adicionado comando que gera relatório do mIRC-rockcavera. Este comando funciona
     pegando várias informações úteis para solucionar bugs e melhorar a sua
     experiência com o mIRC-rockcavera. Nenhuma senha é capturada e o envio do
     relatório não é automático.

     Comando: /mIRC-rockcavera_relatorio

     Após o fim, verifique se está de acordo com as informações do relatório e nos
     envie para o e-mail: rockcavera@gmail.com

8. autoidentify.rcr

  1) Ordem de carregamento do script alterada de 6 para 5.
  2) Módulo de atualização de script removido. Novo sistema de atualização de script
     não precisa mais desse módulo.

9. mudar_topico.rcr

  1) Ordem de carregamento do script alterada de 7 para 6.
  2) Módulo de atualização de script removido. Novo sistema de atualização de script
     não precisa mais desse módulo.

10. autocor.rcr

  1) Módulo de atualização de script removido. Novo sistema de atualização de script
     não precisa mais desse módulo.

11. pm.rcp

  1) O menu "mIRC-rockcavera > Lagbar" agora encontra-se em "mIRC-rockcavera >
     Toolbar > Lagbar".




24/11/2017 mIRC-rockcavera

Mudanças:

1. autoidentify.rcr

  1) Bug no código de recuperação de nick em uso corrigido.
  2) Melhoria no código que captura nick registrado para se auto-identificar.
  3) Sistema adaptado para auto-identificar na UnderNet. No entanto, apenas o
     primeiro nick da lista da UnderNet é usado para se identificar. O modo +x é
     definido automaticamente.
  4) Melhoria no código que pergunta se deseja salvar a senha para auto-identificar
     posteriormente.
  5) Corrigidas duas caixas de mensagens com erro no identificador $input. Caixas de
     mensagens de rede e nick inválido.
  6) Adicionada opção para "Limpar Cache de Comandos" nos menus da janela do
     AutoIdentify. Esta opção remove os comandos pré-definidos para recuperação de
     nick em uso em cada rede. Sempre que a recuperação de nick em uso não
     funcionar, recomenda-se utilizar essa opção.

2. update.rcr

  1) Corrigido Bug que apresentava "Erro:" sem mostrar qual erro aconteceu Durante a
     atualização. Esse erro acontecia, porque o servidor não retornava na descrição
     o valor de "des". O problema geralmente está ligado ao fato da página não ser
     carregada por inúmeros motivos.

3. menus.rcr

  1) Adicionado menu "Limpar Cache de Comandos" em "mIRC-rockcavera > AutoIdentify".

4. pm.rcp

  1) Adicionado menu "Limpar Cache de Comandos" em "mIRC-rockcavera > AutoIdentify".




09/10/2017 mIRC-rockcavera

Mudanças:

1. tema.rcr

  1) Adicionada a ação @ para mensagens apenas para operadores.
  2) Adicionados ao tema os comandos /omsg e /onotice.
  3) Bug corrigido no Notice dos Operadores.
  4) Bug corrigido quando enviava mensagem para operadores. Abria em uma janela
     separada com nome @#CANAL. Agora está ficando tudo no canal como ação @.
  5) Bug corrigido quando enviava action para operadores. Abria em uma janela
     separada com nome @#CANAL. Agora está ficando tudo no canal como ação @.
  6) Bug corrigido nos inputs. Quando digitava algo como operação matemática, uma
     variável estava realizando a operação (ex: 2 * 2, saía como 4).

2. pcinfo.rcr

  1) Leve melhoria no código.
  2) Adicionado para mostrar o DPI.

3. update.rcr

  1) Corrigido bug que fazia os scripts atualizarem e saírem de ordem na lista de
     scripts carregados.

4. toolbar.rcr

  1) Código antigo de "/who" e "/mode +b" para obter lista de hosts e banidos foi
     comentado e novo código foi adicionado para dar "/who" e "/mode +b" quando
     precisar dar kickban e ban pela chanbar. Deste modo, pretende-se reduzir o lag
     ao entrar em canais.




19/09/2017 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.51.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm", "cacert.pem" e
   "versions.txt".




30/06/2017 mIRC-rockcavera

Mudanças:

1. lag.rcr

  1) Adicionado sistema misto de verificação de lag, usando tanto CTCPREPLY quanto
     PING, para funcionar tanto em psyBNC quanto conectado diretamente à uma rede.
     Essa mudança foi motivada pelo fato do usuário Bruk usar psyBNC e não poder
     usufruir da lagbar.
  2) Leve melhoria do código.

2. tema.rcr

  1) Devido uma mudança no código de medição de lag, os eventos CTCPREPLY não exibem
     a mensagem enviada para o seu próprio nick quando a medição estiver sendo feita
     por ctcpreply.
  2) Bug corrigido no raw 404. Quando se enviava mensagem para um canal que não se
     estava, a mensagem de retorno da rede era impressa na Status Windows como
     "BUG: #CANAL CID # #CANAL normal normal MENSAGEM DE ERRO DA REDE".
     Agradecimentos ao usuário Slowmotion por notar esse bug.

3. update.rcr

  1) Correção no código que retorna a versão do update.rcr.

4. menus.rcr

  1) Corrigido problema que fazia uma mensagem aparecer na tela quando ligava ou
     desligava o sistema de autoidentify.

5. pm.rcp

  1) Corrigido problema que fazia uma mensagem aparecer na tela quando ligava ou
     desligava o sistema de autoidentify.




25/05/2017 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.49.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm" e "versions.txt".




06/05/2017 mIRC-rockcavera

Mudanças:

1. Criada a pasta "menus" em "rockcavera\", na qual ficarão os arquivos de menus
   popups.
2. Adicionados os arquivos de menus popups "ps.rcp", "pc.rcp", "pq.rcp", "pn.rcp" e
   "pm.rcp" na pasta "rockcavera\menus\".
3. O arquivo "chanbar.png", localizado em "rockcavera\images\", foi alterado.

4. tema.rcr

  1) Adicionada opção para desligar o tema do mIRC-rockcavera e usar o tema do mIRC.
     No entanto, todas as funcionalidades do mIRC-rockcavera continuam funcionando.

     Assim, as configurações como: timestamp, mensagens em janela ativo, etc. ficam
     disponíveis no alt + o.

  2) Adicionado para piscar o ícone do mIRC, quando não ativo, ao citarem o seu nick
     em um canal. Pedido do Thalles.

     Por padrão vem desligado. Para ativar é só dirigir-se aos menus popups em:
     mIRC-rockcavera > Citações > Piscar.

  3) Adicionada notificação em balão quando seu nick for citado em um canal e o mIRC
     não for a janela ativa. Pedido do Slowmotion.

     Por padrão vem desligado. Para ativar é só dirigir-se aos menus popups em:
     mIRC-rockcavera > Citações > Popups.

     Em caso de dois cliques na notificação de bolão popup, o mIRC será aberto na
     janela de canal que lhe citaram.

  4) Adicionadas as raws 352 366-368.

     352 oculta a resposta do comando /who.

     366 oculta o final do comando /names.

     367 oculta a resposta do comando /mode #CANAL +b.

     368 oculta o final da resposta do comando /mode #canal +b.

  5) Bug corrigido na coloração dos nicks nas mensagens.
  6) Leve melhoria nos códigos de eventos de rede e canais.
  7) Leve melhoria nos códigos de comandos sobrepostos.
  8) Nome das janelas do sistema de citações alterado para @Citações REDE N.
  9) O menu das janelas @Citações REDE N foi movido do "menus.rcr" para o
     "tema.rcr".

5. menus.rcr

  1) Adicionado menu para Ligar/Desligar o tema do mIRC-rockcavera (mIRC-rockcavera
     > Tema).
  2) Adicionado menu Piscar e seus submenus (mIRC-rockcavera > Citações).
  3) Adicionado menu Popups e seus submenus (mIRC-rockcavera > Citações).
  4) Pequenas correções nos textos.
  5) O menu das janelas @Citações REDE N foi para o "tema.rcr".

6. update.rcc

  1) Adicionado sistema para atualizar menus popups.

     O sistema para atualizações dos menus popups permite, a partir de agora,
     receber atualizações e manter os menus pessoais que foram inseridos
     corretamente nos arquivos de menus popups do mIRC-rockcavera. Assim, você não
     perderá os seus menus pessoais após cada atualização.

  2) Bug corrigido na listagem dos arquivos para atualizar. Estava adicionando
     arquivo desnecessários.
  3) Bugs corrigidos no descompactador. Havia um colchete ")" a mais em uma certa
     linha e o comando "/copy" dar erro, pois não estava forçando sobreposição do
     arquivo temporário criado para descompactar.

7. toolbar.rcr

  1) Bug corrigido na chanbar no BAN e KICKBAN. Quando o HOST do usuário não estava
     na lista interna do mIRC, não era banido. No entanto, para resolver o problema,
     /who é requisitado quando entra em um canal e não tem o endereço de todos os
     users do canal, bem como é requisitado /mode #CANAL +b quando se é Owner,
     Admin, Op ou Halfop e não se tem a lista de banidos do canal.
  2) Leve melhoria no código.

8. mudar_topico.rcr

  1) Bug corrigido na coloração dos nicks na nicklist da preview.
  2) Preview alterada para funcionar tanto com o Tema do mIRC-rockcavera ou do mIRC.




29/04/2017 mIRC-rockcavera

Mudanças:

1. Criada a pasta "images" em "rockcavera", sendo a pasta responsável por armazenar
   todas as imagens do mIRC-rockcavera.
2. Adicionado o arquivo "chanbar.png" na pasta "rockcavera\images\". Este arquivo é
   a Chanbar.

3. tema.rcr

  1) Bug corrigido no sistema de captura de links. O sistema não estava contando
     corretamente o local onde um link estava sendo quebrado na linha.
  2) Melhorado o sistema de captura de links.
  3) Melhoria em algumas raws.
  4) O sistema de cortar nicks foi ativado para abrir o popup que mostra o nick
     completo quando se passa o mouse sobre um nick cortado no pvt.
  5) O comando /channel foi adaptado para funcionar com a chanbar.

4. menus.rcr

  1) Adicionado o menu "Cor de Fundo" em "mIRC-rockcavera > Toolbar".
  2) Adicionado o menu "Chanbar", apenas para canais.
  3) Alterado o menu "Cores" para "Cor dos Ícones" em "mIRC-rockcavera > Toolbar".

5. toolbar.rcr

  1) Adicionada configuração para cor de fundo da toolbar.

     Agora é possível adicionar cor de fundo a toolbar do mIRC-rockcavera pelo
     sistema de cores RGB (vermelho, verde e azul).

     O valor da cor pode ser selecionado por scrolls ou editando as editbox de cor
     vermelha, verde e azul, que resultam em uma combinação, ou editando a editbox
     da hexa cor, que é a cor RGB na base hexadecimal. A cor é mostrada em uma
     imagem na dialog de configuração.

     Também, é possível deixar sem cor de fundo na toolbar (padrão).

     A cor de fundo da toolbar só funciona se a toolbar do mIRC-rockcavera estiver
     ligada.

  2) Adicionada chanbar, ferramenta com atalhos de comandos para canais.

     A chanbar possui os botões para OP, DEOP, HALFOP, DEHALFOP, VOICE, DEVOICE, BAN
     UNBAN, KICK e KICKBAN.

     Para usar a chanbar, é preciso que ela esteja ligada (menu popup Chanbar,
     apenas em canais).

     A forma de acionamento é por meio de duplo click com o botão esquerdo do mouse.

     O botão OP/DEOP (±o) realiza as seguintes operações:

     Quando você não tiver OP, irá ser pedido para o chanserv lhe dar OP. Já quando
     nenhum nick estiver selecionado na nicklist e você tiver OP, irá tirar o seu
     OP.

     Quando houver nicks selecionados na nicklist e você for OP do canal, tirará o
     OP de quem tem e dará OP para quem não tem.

     O botão HALFOP/DEHALFOP (±h) realiza as seguintes operações:

     Quando você não tiver OP e nem HALFOP, irá ser pedido para o chanserv lhe dar
     HALFOP.

     Quando você for HALFOP, irá pedir para o chanserv tirar o seu HALFOP.

     Quando houver nicks selecionados na nicklist e você for OP do canal, tirará o
     HALFOP de quem tem e dará HALFOP para quem não tem.

     O botão VOICE/DEVOICE (±v) realiza as seguintes operações:

     Quando você não tiver OP e nem VOICE, irá ser pedido para o chanserv lhe dar
     VOICE.

     Quando você for VOICE, irá pedir para o chanserv tirar o seu VOICE.

     Quando houver nicks selecionados na nicklist e você for OP do canal, tirará o
     VOICE de quem tem e dará VOICE para quem não tem.

     O botão BAN/UNBAN (±b) realiza as seguintes operações:

     Quando você não tiver OP e nem HALFOP, irá ser pedido para o chanserv tirar
     desbanir você do canal, caso esteja banido.

     Quando houver nicks selecionados na nicklist e você for OP ou HALFOP do canal,
     tirará o BAN de quem tem e dará BAN para quem não tem.

     O botão KICK (K) chuta os nicks selecionados na nicklist do canal.

     O botão KICKBAN (Kb) dá BAN e chuta os nicks selecionados na nicklist do canal.

6. mudar_topico.rcr

  1) Adicionada opção para definir o tópico pelo chanserv.
  2) Agora, quando se define o tópico de um #canal, este se torna a janela ativa,
     caso já não seja.

7. update.rcr

  1) Adicionado código para verificar e, se preciso, criar a pasta "images" na pasta
     "rockcavera".

8. pcinfo.rcr

  1) Adicionado para exibir a resolução e o DPI do Windows.




20/04/2017 mIRC-rockcavera

Mudanças:

1. A partir de agora, todas as requisições CTCP VERSION retornam: mIRC vX -
   mIRC-rockcavera (http://mirc.rockcavera.tk). Onde X é a versão do mIRC.

2. tema.rcr

  1) Adicionado sistema de citações. Pedido do Slowmotion e mon.

     O sistema de citações permite ao usuário visualizar de forma fácil as mensagens
     nas quais o seu nick foi citado em um canal, quando este ou o mIRC não
     estiverem ativos, pois armazena as mensagens em uma janela separada.

     A janela que armazena as mensagens chama-se @Citações_N, sendo N o número
     identificador da conexão. Quando houver mais de uma conexão e citarem o seu
     nick, vai existir mais de uma janela @Citações_N.

     Caso não queira que as janelas de citações fiquem à mostra, é possível ocultá-
     las. Deste modo, elas não aparecem na tela, na treebar e na switchbar.
     Entretanto, o mIRC-rockcavera continua armazenando as mensagens nelas para
     quando você decidir vê-las, sendo que, para isso, basta clicar no menu popup
     Mostrar (mIRC-rockcavera > Citações). No mesmo lugar vai estar a opção para
     ocultar, porém, é possível ocultar ou desligar as citações abrindo o menu popup
     na própria janela de @Citações_N.

     Além disso, é possível clicar duas vezes com o botão esquerdo do mouse no
     [#canal], para que mIRC-rockcavera tente localizar a mensagem no #canal.

     Ainda, o sistema de citações permite escolher entre dois métodos, quais sejam:
     normal e rigoroso.

     O método normal verifica de forma simples se seu nick está dentro de uma frase.

     Exemplo: O seu nick é "mon" e alguém fala em um canal "quem curti montanhas?".

     Nesse exemplo, o mIRC-rockcavera vai entender que seu nick foi citado, porque
     "mon" está dentro da palavra "montanhas".

     Já o método rigoroso realiza uma verificação mais rigorosa para saber se o seu
     nick é citado de fato, ou seja, no exemplo acima o mIRC-rockcavera não iria
     acusar que seu nick foi citado.

     No entanto, é preciso tomar cuidado, pois a verificação não é perfeita e pode
     ocorrer de citarem o seu nick e o mIRC-rockcavera não identificar.

     Por fim, é possível Ligar e Desligar o sistema de citações pelo menu de popups
     (mIRC-rockcavera > Citações > Ligar/Desligar). No entanto, o método de captura
     continua funcionando para realçar os canais na treebar e switchbar, quando o
     seu nick for citado em uma mensagem.

  2) Adicionado suporte para alterar a fonte e o tamanho desta. Para acessar, abra
     os menus popups (mIRC-rockcavera > Tema > Fontes).

     As fontes que podem ser utilizadas são as do tipo "fixed", ou seja, as que
     possuem espaçamento igual para todos os caracteres, assim, não desalinha o
     tema do mIRC-rockcavera.

     Observação: existe um código que verifica quais das suas fontes são "fixed" e
     faz uma pequena verificação em alguns caracteres para ver se possuem o mesmo
     tamanho. No entanto, pode ocorrer de aparecer alguma fonte vai desalinhas o
     tema, ficando a critério do usuário o seu uso.

  3) Melhorias no sistema de impressão do tema, pois, em certas ocasiões, as
     mensagens não eram impressas até o limite da janela.
  4) Pequenas correções no código.

3. autoidentify.rcr

  1) Adicionado sistema para auto recuperar seu nick ao conectar, caso este esteja
     sendo usado por outra pessoa, ou seja, uma conexão fantasma.

     Para funcionar é preciso que o sistema de autoidentify esteja ligado e o nick
     utilizado durante a conexão ao servidor esteja cadastrado neste sistema.

     Como cada rede IRC utiliza um sistema para recuperar o nick, o sistema para
     auto recuperar o nick do mIRC-rockcavera tenta utilizar os três métodos
     conhecidos para tal finalidade, quais sejam: regain, ghost e recover; todos do
     nickserv.

     Em caso de êxito na recuperação do nick, o sistema guarda no arquivo
     "autoidentifyghost.db", na pasta "rockcavera\dbs\", o método utilizado naquela
     rede.

  2) Bug que apresentava essa mensagem "* /hdel: no such table 'autoidentify_tmp'"
     foi corrigido.

4. menus.rcr

  1) Adicionado os menus de configurações do sistema de citações. (mIRC-rockcavera >
     Citações).
  2) Adicionado o menu Fontes (mIRC-rockcavera > Tema).
  3) Bug corrigido em algumas configurações que estavam sendo mudadas e não estavam
     sendo salvas nas suas respectivas databases.

5. autocor.rcr

  1) Pequenas correções no código.

6. toolbar.rcr

  1) Pequenas correções no código.

7. lag.rcr

  1) Pequenas correções no código.




17/04/2017 mIRC-rockcavera

Mudanças:

1. O mIRC foi atualizado para a versão 7.48.

   Os seguintes arquivos foram atualizados: "mirc.exe", "mirc.chm" e "versions.txt".

2. update.rcr

  1) Bug corrigido no arquivo batch de atualização do mirc.exe. O batch que atualiza
     o mirc.exe não funcionava corretamente no Windows XP, pois o comando TIMEOUT
     não faz parte desta versão do Windows, sendo preciso utilizar um substituto. Já
     o comando TASKLIST não estava conseguindo usar o filtro PID, sendo necessário
     usar outro método para identificar se o mirc.exe está em execução.
  2) Melhoria no alias que captura o PID do mIRC em execução.

3. tema.rcr

  1) Melhoria leve no código.
  2) Melhora no sistema de cortar nicks. Agora todos os nicks cortados são
     armazenados em uma única tabela hash.

4. autoidentify.rcr

  1) Bug corrigido quando um nick com espaço era digitado na hora de adicionar. Na
     mensagem de erro estava aparecendo a rede e não o nick.
  2) Adicionado sistema que pede a senha, em caixa de diálogo, quando o nick estiver
     registrado na rede, mas não cadastrado no autoidentify, e, após a
     identificação, pergunta se deseja salvar a senha no autoidentify.

     Ainda, enquanto estiver digitando a senha errada, irá continuar pedindo a senha
     em caixa de diálogo.

     Este novo sistema é desligado ou ligado junto com o AutoIdentify.

  3) A janela do @AutoIdentify agora abre no desktop e tem tamanho definido.
  4) Pequenas alterações e correções de texto.

5. mudar_topico.rcr

  1) Devido a correção de um bug na nova versão do mIRC, foi retirado um código que
     corrigia esse bug.




13/04/2017 mIRC-rockcavera

Mudanças:

1. Adicionados os arquivos "logob.rcl", "logom.rcl" e "logor.rcl" na pasta
   "rockcavera\". Estes arquivos contêm o logo do mIRC-rockcavera que é usado na
   animação do Sobre.
2. Adicionado o arquivo "branca_16777215.tbi" na pasta "rockcavera\toolbar\". Este
   arquivo contêm os ícones da toolbar branca.

3. tema.rcr

  1) Melhora no sistema de cortar nicks.
  2) Melhora no sistema de captura de urls. Agora captura urls de ftp.
  3) Melhora em algumas raws.
  4) Adicionadas as raws 403, 432-433, 471-475, 478 e 481.

     403 Nome de canal inválido ou inexistente.

     432 Nick ilegal.

     433 Nick em uso.

     471 Canal cheio, impossível entrar.

     472 Modo desconhecido.

     473 Canal apenas para convidados, impossível entrar.

     474 Banido no canal, impossível entrar.

     475 Canal com senha, impossível entrar.

     478 Lista de banidos do canal cheia, impossível adicionar.

     481 Falta de privilégios

  5) Remoção de código sem uso.
  6) Bug corrigido nos temporizadores. Quando era fechada a janela de Status a qual
     os temporizadores estavam vinculados, estes paravam de funcionar. O mesmo
     acontecia quando alguma janela de Status desconectava e os temporizadores
     estavam vinculados a ela.

4. autoidentify.rcr

  1) Melhora no código do script de auto identify.
  2) Adicionada mensagem confirmando a mudança de senha.
  3) Adicionada criptografia nas senhas, para não ficarem expostas no arquivo que as
     armazena.

5. lag.rcr

  1) Bug corrigido no temporizador que media o lag. Quando era fechada a janela de
     Status inicial, o temporizador que media o lag parava e não era mais medido o
     lag.
  2) Aumentadas as editboxs da dialog de configurações. Essa medida foi tomada
     devido ao fato de em algumas resoluções e configurações de zoom do Windows
     estarem cortando o conteúdo das editboxs.

6. update.rcr

  1) Bug corrigido nos temporizadores. Quando era fechada a janela de Status a qual
     os temporizadores estavam vinculados, estes paravam de funcionar. O mesmo
     acontecia quando alguma janela de Status desconectava e os temporizadores
     estavam vinculados a ela.
  2) O segundo host para atualização foi modificado para "rockcavera.co.nf 80".

7. toolbar.rcr

  1) Adicionado janela Sobre o mIRC-rockcavera.

     Esta janela traz um leve resumo sobre o mIRC-rockcavera e quem é seu criador.

     Também, é possível entrar em contato clicando no botão "Contato", que abre o
     site do mIRC-rockcavera.

  2) O botão Sobre da toolbar do mIRC-rockcavera não abre mais o About do mIRC, mas
     sim o Sobre do mIRC-rockcavera.

8. autocor.rcr

  1) Bug corrigido no temporizador de arrastar a janela de configurações. Quando era
     fechada a janela de Status a qual o temporizador estava vinculado, este parava
     de funcionar. O mesmo acontecia quando alguma janela de Status desconectava e o
     temporizador estava vinculado a ela.

9. menus.rcr

  1) Adicionado o menu para definir a cor branca de toolbar.

10) mudar_topico.rcr

  1) Bug corrigido quando se digitava apenas 0 na editbox da dialog para mudar
     tópico, pois, quando o preview habilitado, não era impresso na tela o 0.




07/04/2017 mIRC-rockcavera

Mudanças:

1. Iniciou-se o log de mudanças com o arquivo "changelog.txt".
2. Criou-se uma pasta (rockcavera) para armazenar os arquivos do mIRC-rockcavera,
   onde existem as pastas: dbs, scripts, tmp e toolbar.

   A pasta "rockcavera" armazena todos os arquivos do mIRC-rockcavera.

   A pasta "dbs" armazena os arquivos de configurações dos scripts.

   A pasta "scripts" contêm todos os scripts do mIRC-rockcavera.

   A pasta "tmp" é utilizada para armazenar arquivos temporários.

   A pasta "toolbar" possui as imagens da toolbar.

3. Adicionado o script de atualização (update.rcr).

   Este script é um sistema de atualização para o mIRC-rockcavera, sendo ele
   responsável por atualizar e carregar os scripts, e atualizar e baixar arquivos.
   Além disso, ele se auto atualiza e também atualiza o mIRC para a versão mais
   atual.

   O script possui a opção de verificar por atualizações ao iniciar o mIRC, bem como
   verificar a qualquer momento pelo menu popup.

   Ainda, é possível configurar o tempo de fechamento da janela de atualização e se
   este changelog.txt deve ser aberto ou não no término da atualização.

4. Adicionado o script de toolbar (toolbar.rcr).

   Este script permite selecionar o tamanho e a cor da toolbar do mIRC-rockacvera.

   No momento, as cores são: Azul, Preta, Verde e Vermelha.

   Também é possível desligar a toolbar do mIRC-rockcavera. Neste caso, fica ativa a
   toolbar original do mIRC.

5. Adicionado o script de auto identify (autoidentify.rcr).

   Este script é um sistema de auto identify que realiza a identificação do nick sem
   a necessidade de digitar comandos.

   O script funciona em uma interface simples de list, na qual você pode adicionar e
   remover nicks, bem como mudar a senha de nicks já adicionados. Ainda, é possível
   cadastrar vários nicks para várias redes, sendo também possível remover todos os
   nicks cadastrados em uma rede.

   Possui opção para ligar e desligar o sistema.

   Foi testado nas redes: VirtuaLife, freenode, IRCBr, BrasIRC, BrIRC.Net, vIRCio,
   Hub4Ever.Org e GNETT. Caso não funcionar em alguma rede, por favor entrar em
   contato.

6. Adicionado o script de menus popups (menus.rcr).

   Este script contêm todos os menus popups dos scripts do mIRC-rockcavera.

7. Adicionados os arquivos "azul_13369344.tbi", "preta_0.tbi", "verde_32291.tbi" e
   "vermelha_723906.tbi", na pasta "rockcavera\toolbar\". Estes arquivos pertencem
   ao script de toolbar e contêm os ícones das respectivas cores.
8. Adicionados três botões na toolbar, quais sejam: connect3, scripts e
   autoidentify.

   O botão connect3 aparece no primeiro botão da toolbar, quando há dúvida se o mIRC
   encontra-se conectado em uma rede. Sua função é desconectar da rede. O icone é um
   um arco com uma interrogação (?) dentro.

   O botão scripts aparece quando todos os listen de mIRC Scripting estão
   desligados. No entanto, o scripts e o scripts2 usam o mesmo ícone.

   O botão autoidentify é o quarto da toolbar. Sua função é abrir as configurações
   do sistema de auto identify. O icone é uma chave.

9. Adicionado em "Nick Colors" (/abook -l) cores paras os nicks na Notify e Ignore.
10. Adicionado os esquemas "Dark mIRC Classic" e "Dark mIRC Modern" em "mIRC Colors"
   (alt + k), botão "Cores" da toolbar do mIRC-rockcavera.
11. Adicionado o alias "/t", que, quando a janela ativa for um canal, mostra o
    tópico atual do canal. Pedido do Slowmotion.

12. tema.rcr

  1) O script "tema.mrc" foi renomeado para "tema.rcr" e movido para
     "rockcavera\scripts\".
  2) Adicionado o módulo de atualização no script.
  3) Adicionado sistema para configuração do tema por meio de menus popups.

     Agora é possível alterar as cores da barra e do tempo.

     Também, pode-se mudar o tamanho do espaço para os nicks no tema. Valor mínimo
     é 8 e o valor máximo é recomendado de acordo com a sua resolução e
     configurações do mIRC.

  4) Adicionada mensagem que o seu nick mudou na janela ativa de pvt.
  5) Melhorado o sistema de captura de urls. No entanto, ainda não está 100%.
  6) O caractere que indicava nick cortado foi mudado de "chr 8230" para "chr 183",
     pois a fonte Fixedsys não possui suporte para caracteres unicode e apresentava
     um desalinhamento pequeno na barra (|) do tema quando o nick era cortado.
  7) O comando /who não é mais executado ao entrar em um canal, pois causava muito
     lag. Portanto, não lista mais os IRCOps na nicklist.
  8) Bug corrigido no alias /query. Quando o pvt já estava aberto, o alias imprimia
     as mensagens de informações que só deveriam ser impressas quando o pvt fosse de
     fato aberto.
  9) Bug corrigido no sistema de whois. Após executar um /whois e receber as
     informações, estas eram impressas como "BUG: INFOS" quando a janela ativa no
     momento não era um canal e nem um pvt.
  10) Bug corrigido no sistema de nicks cortados. Os nicks cortados não estavam
      recebendo ID quando uma mensagem era longa e cortada para a linha de baixo.
      Assim, se o mesmo nick enviasse a próxima mensagem ele iria aparecer, sendo
      que o correto seria ficar oculto.
  11) Bug corrigido no "on OPEN ?". Quando alguém abria uma conversa em pvt, o
      user@host não estava retornando corretamente.
  12) O código do script foi otimizado.
  13) Melhorado o sistema de whois.
  14) Janela que mostra o nick completo foi adaptada para funcionar com os esquemas
      "Dark mIRC Classic" e "Dark mIRC Modern".
  15) Adicionado código para forçar caracteres unicode na fonte Fixedsys, mas no
      Windows XP não funciona mesmo com esse código. Para funcionar os caracteres
      unicodes no Windows XP, é necessário baixar a fonte Fixedsys Excelsior.
      Depois, instale a fonte no seu sistema operacional e digite no mIRC:
      /font -z 16 "Fixedsys Excelsior 3.01"

      Link da fonte Fixedsys Excelsior: www.fixedsysexcelsior.com/fonts/FSEX300.ttf

13. lag.rcr

  1) O script "lag.mrc" foi renomeado para "lag.rcr" e movido para
     "rockcavera\scripts\".
  2) Adicionado o módulo de atualização no script.
  3) Adicionada a opção de ligar e desligar a lagbar na dialog de configurações.
  4) Adicionados menus popups para ligar e desligar a lagbar, e abrir a dialog de
     configurações.
  5) Adicionado suporte para a lagbar acompanhar o tamanho e a cor da toolbar.
  6) O código do script foi otimizado.
  7) O arquivo de configurações foi movido para a pasta "rockacvera\dbs\".

14. autocor.rcr

  1) O script "autocor.mrc" foi renomeado para "autocor.rcr" e movido para
     "rockcavera\scripts\".
  2) Adicionado o módulo de atualização no script.
  3) O código do script foi otimizado.
  4) O arquivo de configurações foi movido para a pasta "rockacvera\dbs\" e o nome
     foi alterado para "autocor.db".
  5) O menu popups do script foi movido para o arquivo "menus.rcr"
  6) O nome da janela do autocor foi mudada de @autocor_window para @AutoCor.
  7) O preview do autocor foi adaptado para funcionar com os esquemas "Dark mIRC
     Classic" e "Dark mIRC Modern".

15. mudar_topico.rcr

  1) O script "mudar_topico.mrc" foi renomeado para "mudar_topico.rcr" e movido para
     "rockcavera\scripts\".
  2) Adicionado o módulo de atualização no script.
  3) Adicionado limite na editbox de acordo com o TOPICLEN (tamanho máximo do
     tópico) da rede.
  4) Adicionada na dialog informação sobre a quantidade de caracteres e o limite.
  5) O menu popups do script foi movido para o arquivo "menus.rcr"

16. pcinfo.rcr

  1) O script "pcinfo.mrc" foi renomeado para "pcinfo.rcr" e movido para
     "rockcavera\scripts\".
  2) Adicionado o módulo de atualização no script.
  3) O menu popups do script foi movido para o arquivo "menus.rcr"

------------------------------------------------------------------------------------